petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSHasJacobianPreconditioner

Signals that a Jacobian preconditioner matrix has been set

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasJacobianPreconditioner(PetscDS prob, PetscBool *hasJacPre)

Not collective Many br

### Input Parameter

prob -The PetscDS Many br

### Output Parameter

hasJacPre -flag that pointwise function for Jacobian preconditioner matrix has been set Many br

Many br

### See Also

PetscDSGetJacobianPreconditioner(), PetscDSSetJacobianPreconditioner(), PetscDSGetJacobian()

Level:intermediate
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages